## org.hibernate.event
Interface LockEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultLockEventListener

    public interface LockEventListener

extends Serializable

Defines the contract for handling of lock events generated from a session.

Author:
  Steve Ebersole

Method Summary
`void` `onLock(LockEvent event)` Handle the given lock event.

Method Detail

### onLock

    void onLock(LockEvent event)
                throws HibernateException

  Handle the given lock event.

  Parameters:
    `event` - The lock event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.